1. Payments
Public API
  • Get Started
  • Payments
    • Create payment
      POST
    • List payments
      GET
    • Get payment by ID
      GET
  • Webhooks
    • Integration Guide
    • Webhook Definitions
      • Payment Created
      • Payment Completed
      • Payment Expired
  1. Payments

Create payment

POST
/payments
Creates a payment request and returns the payment object with a unique UID.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Payment successfully created
Body

🟠400BadRequest
🟠401UnauthorizedError
🟠429TooManyRequests
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://public-api.woldy.xyz/v1/payments' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": "100.50",
    "expires_at": "2026-02-20T15:04:05Z",
    "external_id": "ORDER-12345",
    "message": "Payment for Order #12345",
    "return_url": "https://example.com/success"
}'
Response Response Example
200 - Example 1
{
    "id": "p_abc123",
    "external_id": "ORDER-12345",
    "status": "PENDING",
    "source": "API",
    "amount": {
        "name": "USDT",
        "symbol": "USDT",
        "decimals": 6,
        "value": "100500000"
    },
    "unexpected": false,
    "message": "Payment for Order #12345",
    "payment_url": "http://example.com",
    "return_url": "https://example.com/success",
    "expires_at": "2026-02-20T15:04:05Z",
    "completed_at": null,
    "created_at": "2026-01-23T12:00:00Z"
}
Modified at 2026-03-16 07:12:00
Previous
Payments
Next
List payments
Built with